Archive File Reference
`#include <osgDB/ReaderWriter>`
`#include <osgDB/Registry>`
`#include <osgDB/FileUtils>`
`#include <fstream>`
`#include <list>`

Go to the source code of this file.

## Classes

class | osgDB::Archive

## Namespaces

namespace | osgDB

## Macros

#define | OSGDB_ARCHIVE 1

## Functions

OSGDB_EXPORT Archive * | osgDB::openArchive (const std::string &filename, ReaderWriter::ArchiveStatus status, unsigned int indexBlockSizeHint=4096)
OSGDB_EXPORT Archive * | osgDB::openArchive (const std::string &filename, ReaderWriter::ArchiveStatus status, unsigned int indexBlockSizeHint, Options *options)

## Macro Definition Documentation

## OSGDB_ARCHIVE

#define OSGDB_ARCHIVE 1